msgpack::adaptor::as< T, typename msgpack::enable_if< detail::is_seq_no_pair_no_tuple< T >::value &&boost::mpl::fold< T, boost::mpl::bool_< true >, boost::mpl::if_< boost::mpl::or_< boost::mpl::_1, msgpack::has_as< boost::mpl::_2 > >, boost::mpl::bool_< true >, boost::mpl::bool_< false > > >::type::value >::type > Struct Template Reference

`#include <fusion.hpp>`

## Public Member Functions

T | operator() (msgpack::object const &o) const

## Static Public Member Functions

template<std::size_t... Is, typename U >
static std::tuple< typename std::remove_reference< typename boost::fusion::result_of::at_c< T, Is >::type >::type... > | to_tuple (U const &u, seq< Is... >)
template<std::size_t... Is, typename U >
static T | to_t (U const &u, seq< Is... >)

## Member Function Documentation

## operator()()

template<typename T >

T msgpack::adaptor::as< T, typename msgpack::enable_if< detail::is_seq_no_pair_no_tuple< T >::value &&boost::mpl::fold< T, boost::mpl::bool_< true >, boost::mpl::if_< boost::mpl::or_< boost::mpl::_1, msgpack::has_as< boost::mpl::_2 > >, boost::mpl::bool_< true >, boost::mpl::bool_< false > > >::type::value >::type >::operator() | ( | msgpack::object const & | o | ) | const

inline

References msgpack::type::ARRAY, msgpack::object::union_type::array, msgpack::object::as(), msgpack::checked_get_container_size(), msgpack::object_array::size, msgpack::object::type, and msgpack::object::via.

## to_t()

template<typename T >
template<std::size_t... Is, typename U >

static T msgpack::adaptor::as< T, typename msgpack::enable_if< detail::is_seq_no_pair_no_tuple< T >::value &&boost::mpl::fold< T, boost::mpl::bool_< true >, boost::mpl::if_< boost::mpl::or_< boost::mpl::_1, msgpack::has_as< boost::mpl::_2 > >, boost::mpl::bool_< true >, boost::mpl::bool_< false > > >::type::value >::type >::to_t | ( | U const & | u,
|  | seq< Is... > |
| ) |  |

inline static

## to_tuple()

template<typename T >
template<std::size_t... Is, typename U >

static std::tuple< typename std::remove_reference< typename boost::fusion::result_of::at_c<T, Is>::type >::type...> msgpack::adaptor::as< T, typename msgpack::enable_if< detail::is_seq_no_pair_no_tuple< T >::value &&boost::mpl::fold< T, boost::mpl::bool_< true >, boost::mpl::if_< boost::mpl::or_< boost::mpl::_1, msgpack::has_as< boost::mpl::_2 > >, boost::mpl::bool_< true >, boost::mpl::bool_< false > > >::type::value >::type >::to_tuple

(

U const &

u,

|  | seq< Is... > |
| ) |  |

inline static

References msgpack::type::make_tuple().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/boost/fusion.hpp